### Method

# Secret Service unlock_sync

#### Declaration [src]

    gint
    secret_service_unlock_sync (
      SecretService* service,
      GList* objects,
      GCancellable* cancellable,
      GList** unlocked,
      GError** error
    )

#### Description [src]

Unlock items or collections in the secret service.

The secret service may not be able to unlock items individually, and may unlock an entire collection instead.

If `service` is `NULL`, then `secret_service_get_sync()` will be called to get the default `SecretService` proxy.

This method may block indefinitely and should not be used in user interface threads. The secret service may prompt the user. `secret_service_prompt()` will be used to handle any prompts that show up.

#### Parameters

`objects` | A list of `GDBusProxy*`
| The items or collections to unlock.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| Optional cancellation object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`unlocked` | A list of `GDBusProxy*`
| location to place list of items or collections that were unlocked.
| The argument will be set by the function.
| The argument can be set to `NULL`.
| The argument can be `NULL`.
| The instance takes ownership of the data, and is responsible for freeing it.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gint`
| The number of items or collections that were unlocked.